{% load static%}
<!DOCTYPE html>
<html>
  <head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="{% static 'js/bootstrap.js' %}"></script>
    <script src="{% static 'js/base.js' %}"></script>
    <link href="{% static  'css/bootstrap.css' %}" rel="stylesheet" />
    <link href="{% static  'css/fixed_background.css' %}" rel="stylesheet" />
    <link rel="stylesheet" href="{% static 'css/base.css' %}" />
    <link rel="stylesheet" href="{% static 'css/help.css' %}" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <link
      rel="stylesheet"
      type="text/css"
      href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.css"
    />

    <script
      type="text/javascript"
      charset="utf8"
      src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.js"
    ></script>

    <script src="https://cdn.datatables.net/buttons/1.6.2/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.flash.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.print.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.21/js/dataTables.bootstrap4.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/fixedheader/3.1.7/js/dataTables.fixedHeader.min.js"></script>
    {% block title %} {% endblock %}
    {% block head %} {% endblock %}
  </head>

  <body>
    {% if not request.user.is_authenticated %}

    <div class="container">
      <h1 class="buttons-title">Debe autenticarse para ver esta página</h1>
      <div class="buttons">
        <a href="{% url 'base:login' %}">
          <button type="button" class="btn btn-primary btn-block">
            Iniciar sesión
          </button></a
        >

        <a href="{% url 'base:registrarcuenta' %}">
          <button type="button" class="btn btn-primary btn-block">
            Registrarse
          </button></a
        >
      </div>
    </div>
    {% block notlogin %}{% endblock %} {% else %}

    <div class="wrapper">
      <nav id="sidebar">
        <div id="wrapper-logo" class="sidebar-brand"></div>
        <ul class="navbar-nav ml-auto">
          {% block manual %} {% endblock %}
          
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:index' %}">Mi Perfil </a>
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:logout' %}">Cerrar sesión </a>
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:ventaprincipal' %}"
              >Realizar una venta</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:listarventa' %}"
              >Listar ventas</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:add_client' %}"
              >Añadir un cliente</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:list_debt' %}"
              >Listar clientes</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:agregar_vendedor' %}"
              >Vendedor</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:agregarproducto' %}"
              >Agregar productos</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:listarproducto' %}"
              >Listar productos</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:add_provider' %}"
              >Añadir proveedor</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:list_provider' %}"
              >Listar proveedores</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:add_order' %}"
              >Añadir orden</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:list_order' %}"
              >Listar ordenes</a
            >
          </li>
          <li class="nav-item mx-1">
            <a class="nav-link" href="{% url 'base:reception' %}"
              >Recepción de productos</a
            >
          </li>

          {% endif %}
        </ul>
      </nav>
      <div class="content">
        {% block content %} {% endblock %}
      </div>
    </div>
  </body>
</html>
